<?xml version="1.0"?>
<serviceModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="CloudDigitalAssetStorageService" generation="1" functional="0" release="0" Id="6650d2c3-a7be-4e34-b257-c26cb56247ce" dslVersion="1.2.0.0" xmlns="http://schemas.microsoft.com/dsltools/RDSM">
  <groups>
    <group name="CloudDigitalAssetStorageServiceGroup" generation="1" functional="0" release="0">
      <componentports>
        <inPort name="HttpIn" protocol="http">
          <inToChannel>
            <lBChannelMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/FELoadBalancerHttpIn" />
          </inToChannel>
        </inPort>
      </componentports>
      <settings>
        <aCS name="WebRole:AccountName" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRole:AccountName" />
          </maps>
        </aCS>
        <aCS name="WebRole:AccountSharedKey" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRole:AccountSharedKey" />
          </maps>
        </aCS>
        <aCS name="WebRole:BlobStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRole:BlobStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRole:QueueStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRole:QueueStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRole:TableStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRole:TableStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WebRoleInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWebRoleInstances" />
          </maps>
        </aCS>
        <aCS name="Worker:AccountName" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorker:AccountName" />
          </maps>
        </aCS>
        <aCS name="Worker:AccountSharedKey" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorker:AccountSharedKey" />
          </maps>
        </aCS>
        <aCS name="Worker:BlobStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorker:BlobStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="Worker:QueueStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorker:QueueStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="Worker:TableStorageEndpoint" defaultValue="">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorker:TableStorageEndpoint" />
          </maps>
        </aCS>
        <aCS name="WorkerInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/MapWorkerInstances" />
          </maps>
        </aCS>
      </settings>
      <channels>
        <lBChannel name="FELoadBalancerHttpIn">
          <toPorts>
            <inPortMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/HttpIn" />
          </toPorts>
        </lBChannel>
      </channels>
      <maps>
        <map name="MapWebRole:AccountName" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/AccountName" />
          </setting>
        </map>
        <map name="MapWebRole:AccountSharedKey" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/AccountSharedKey" />
          </setting>
        </map>
        <map name="MapWebRole:BlobStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/BlobStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRole:QueueStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/QueueStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRole:TableStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRole/TableStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWebRoleInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRoleInstances" />
          </setting>
        </map>
        <map name="MapWorker:AccountName" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/Worker/AccountName" />
          </setting>
        </map>
        <map name="MapWorker:AccountSharedKey" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/Worker/AccountSharedKey" />
          </setting>
        </map>
        <map name="MapWorker:BlobStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/Worker/BlobStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWorker:QueueStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/Worker/QueueStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWorker:TableStorageEndpoint" kind="Identity">
          <setting>
            <aCSMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/Worker/TableStorageEndpoint" />
          </setting>
        </map>
        <map name="MapWorkerInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WorkerInstances" />
          </setting>
        </map>
      </maps>
      <components>
        <groupHascomponents>
          <role name="WebRole" generation="1" functional="0" release="0" software="C:\MSDN\Sample\Development\CloudDigitalAssetStorageService\CloudDigitalAssetStorageService\CloudDigitalAssetStorageService\obj\Debug\CloudDigitalAssetStorageService_WebRole\" entryPoint="ucruntime" parameters="Microsoft.ServiceHosting.ServiceRuntime.Internal.WebRoleMain" memIndex="1024" hostingEnvironment="frontendfulltrust">
            <componentports>
              <inPort name="HttpIn" protocol="http" />
            </componentports>
            <settings>
              <aCS name="AccountName" defaultValue="" />
              <aCS name="AccountSharedKey" defaultValue="" />
              <aCS name="BlobStorageEndpoint" defaultValue="" />
              <aCS name="QueueStorageEndpoint" defaultValue="" />
              <aCS name="TableStorageEndpoint" defaultValue="" />
            </settings>
            <resourcereferences>
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
            <eventstreams>
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Warning" kind="OnDemand" severity="Warning" signature="Basic_string" />
              <eventStream name="Information" kind="OnDemand" severity="Info" signature="Basic_string" />
              <eventStream name="Verbose" kind="OnDemand" severity="Verbose" signature="Basic_string" />
            </eventstreams>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WebRoleInstances" />
          </sCSPolicy>
        </groupHascomponents>
        <groupHascomponents>
          <role name="Worker" generation="1" functional="0" release="0" software="C:\MSDN\Sample\Development\CloudDigitalAssetStorageService\CloudDigitalAssetStorageManagementWorker\bin\Debug\" entryPoint="ucruntime" parameters="Microsoft.ServiceHosting.ServiceRuntime.Internal.WorkerRoleMain" memIndex="1024" hostingEnvironment="consolerolefulltrust">
            <settings>
              <aCS name="AccountName" defaultValue="" />
              <aCS name="AccountSharedKey" defaultValue="" />
              <aCS name="BlobStorageEndpoint" defaultValue="" />
              <aCS name="QueueStorageEndpoint" defaultValue="" />
              <aCS name="TableStorageEndpoint" defaultValue="" />
            </settings>
            <resourcereferences>
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
            <eventstreams>
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Microsoft.ServiceHosting.ServiceRuntime.RoleManager.Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Critical" kind="Default" severity="Critical" signature="Basic_string" />
              <eventStream name="Error" kind="Default" severity="Error" signature="Basic_string" />
              <eventStream name="Warning" kind="OnDemand" severity="Warning" signature="Basic_string" />
              <eventStream name="Information" kind="OnDemand" severity="Info" signature="Basic_string" />
              <eventStream name="Verbose" kind="OnDemand" severity="Verbose" signature="Basic_string" />
            </eventstreams>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/WorkerInstances" />
          </sCSPolicy>
        </groupHascomponents>
      </components>
      <sCSPolicy>
        <sCSPolicyID name="WebRoleInstances" defaultPolicy="[1,1,1]" />
        <sCSPolicyID name="WorkerInstances" defaultPolicy="[1,1,1]" />
      </sCSPolicy>
    </group>
  </groups>
  <implements>
    <implementation Id="7a3d8c20-ba29-4807-9334-c919c8412550" ref="Microsoft.RedDog.Contract\ServiceContract\CloudDigitalAssetStorageServiceContract@ServiceDefinition">
      <interfacereferences>
        <interfaceReference Id="a93eec58-3f98-4001-8f51-94b562df6578" ref="Microsoft.RedDog.Contract\Interface\HttpIn@ServiceDefinition">
          <inPort>
            <inPortMoniker name="/CloudDigitalAssetStorageService/CloudDigitalAssetStorageServiceGroup/HttpIn" />
          </inPort>
        </interfaceReference>
      </interfacereferences>
    </implementation>
  </implements>
</serviceModel>